/*
 *--- PGetLayAdjOpts.cpp -------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * header file PGetLayAdjOpts.h
 *-------------------------------------------------------------------------
 */

#include "PGetLayAdjOpts.h"
#include "PQuery.h"
#include "PReplyBuf.h"

PGetLayAdjOpts::PGetLayAdjOpts()
{
	char temp[14];
	
	PQuery query(pm_getlayadjopts, temp, 12);
	PReplyBuf reply(temp);
	
	reply	>> mSnapToZone
			>> nResizeOK
			>> nIgnoreLocks
			>> nIgnoreGuides
			>> nMoveGuides
			>> nKeepGuidesAligned;
}

// end of PGetLayAdjOpts.cpp
